Skip to content

Get Credit Transactions

GET
/billing/credits/transactions

Get recent credit transactions for the authenticated user’s organization.

Returns up to limit transactions, most recent first.

limit
Limit
integer
default: 20 >= 1 <= 100

Successful Response

Response Get Credit Transactions Billing Credits Transactions Get
Array<object>
CreditTransaction

A single entry in the append-only credit ledger.

object
id
required
Id
string
org_id
required
Org Id
string
user_id
Any of:
string
amount
required
Amount
number
balance_after
required
Balance After
number
type
required
Type
string
description
Any of:
string
expires_at
Any of:
string format: date-time
related_entity_id
Any of:
string
action_type
Any of:
string
created_at
required
Created At
string format: date-time

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object